#language: ru

@cutting

Функционал: 005. Разруб. Создание документов

Сценарий: 005.0. Разруб. Подготовка к созданию плана убоя

	Дано я удаляю объекты "Документы.к2ПланУбоя" без контроля ссылок
	Дано я удаляю объекты "Документы.к2ЗаявкаНаПроизводство" без контроля ссылок
	Дано я удаляю объекты "Документы.к2ПодтверждениеЗаявкиНаПроизводство" без контроля ссылок
	Дано я удаляю объекты "Документы.ЗаказКлиента" без контроля ссылок
	Дано Я подключаюсь под "Планирование разруба"

Сценарий: 005.1. Разруб. Создание планов убоя

	И В командном интерфейсе я выбираю 'Планирование' 'Планы убоя'
	Тогда я жду открытия окна 'Планы убоя' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'План убоя (создание)' в течение 20 секунд
	И в таблице "ПланУбоя" я нажимаю на кнопку с именем 'ПланУбояДобавить'
	И в таблице "ПланУбоя" в поле 'Дата убоя' я ввожу текст '01.11.2019'
	И в таблице "ПланУбоя" из выпадающего списка "Подразделение" я выбираю по строке 'Цех индеек №1'
	И в таблице "ПланУбоя" из выпадающего списка "Номенклатура" я выбираю по строке 'Индейка'
	И в таблице "ПланУбоя" из выпадающего списка "Варианты разруба" я выбираю по строке 'Вариант разруба индейки'
	И в таблице "ПланУбоя" в поле 'Количество' я ввожу текст '1 050'
	И в таблице "ПланУбоя" в поле 'Средний вес, кг.' я ввожу текст '1,500'
	И в таблице "ПланУбоя" я завершаю редактирование строки
	И в таблице "ПланУбоя" поле "Вес, кг." имеет значение "1 575,000"
	И в поле 'Комментарий' я ввожу текст 'План убоя №1 на 1.11.2019'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'План убоя (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Планы убоя' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'План убоя (создание)' в течение 20 секунд
	И в таблице "ПланУбоя" я нажимаю на кнопку с именем 'ПланУбояДобавить'
	И в таблице "ПланУбоя" в поле 'Дата убоя' я ввожу текст '02.11.2019'
	И в таблице "ПланУбоя" из выпадающего списка "Подразделение" я выбираю по строке 'Цех индеек №1'
	И в таблице "ПланУбоя" из выпадающего списка "Номенклатура" я выбираю по строке 'Индейка'
	И в таблице "ПланУбоя" из выпадающего списка "Варианты разруба" я выбираю по строке 'Вариант разруба индейки'
	И в таблице "ПланУбоя" в поле 'Количество' я ввожу текст '15 000'
	И в таблице "ПланУбоя" в поле 'Средний вес, кг.' я ввожу текст '3,300'
	И в таблице "ПланУбоя" я завершаю редактирование строки
	И в таблице "ПланУбоя" поле "Вес, кг." имеет значение "49 500,000"
	И в поле 'Комментарий' я ввожу текст 'План убоя №2 на 2.11.2019'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'План убоя (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Планы убоя' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'План убоя (создание)' в течение 20 секунд
	И в таблице "ПланУбоя" я нажимаю на кнопку с именем 'ПланУбояДобавить'
	И в таблице "ПланУбоя" в поле 'Дата убоя' я ввожу текст '03.11.2019'
	И в таблице "ПланУбоя" из выпадающего списка "Подразделение" я выбираю по строке 'Цех индеек №1'
	И в таблице "ПланУбоя" из выпадающего списка "Номенклатура" я выбираю по строке 'Индейка'
	И в таблице "ПланУбоя" из выпадающего списка "Варианты разруба" я выбираю по строке 'Вариант разруба индейки'
	И в таблице "ПланУбоя" в поле 'Количество' я ввожу текст '10 000'
	И в таблице "ПланУбоя" в поле 'Средний вес, кг.' я ввожу текст '3,000'
	И в таблице "ПланУбоя" я завершаю редактирование строки
	И в таблице "ПланУбоя" поле "Вес, кг." имеет значение "30 000,000"
	И в поле 'Комментарий' я ввожу текст 'План убоя №3 на 3.11.2019'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'План убоя (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Планы убоя' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'План убоя (создание)' в течение 20 секунд
	И в таблице "ПланУбоя" я нажимаю на кнопку с именем 'ПланУбояДобавить'
	И в таблице "ПланУбоя" в поле 'Дата убоя' я ввожу текст '09.03.2020'
	И в таблице "ПланУбоя" из выпадающего списка "Подразделение" я выбираю по строке 'Цех индеек №1'
	И в таблице "ПланУбоя" из выпадающего списка "Номенклатура" я выбираю по строке 'Индейка'
	И в таблице "ПланУбоя" из выпадающего списка "Варианты разруба" я выбираю по строке 'Вариант разруба индейки'
	И в таблице "ПланУбоя" в поле 'Количество' я ввожу текст '100'
	И в таблице "ПланУбоя" в поле 'Средний вес, кг.' я ввожу текст '3,000'
	И в поле 'Комментарий' я ввожу текст 'План убоя №4 на 9.03.2020'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'План убоя * от *' в течение 20 секунд
	Тогда я жду открытия окна 'Планы убоя' в течение 20 секунд
	И Я закрываю окно 'Планы убоя'

Сценарий: 005.2. Разруб. Создание заявок на производство

	И В командном интерфейсе я выбираю 'Планирование' 'Заявки на производство'
	Тогда я жду открытия окна 'Заявки на производство' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Заявка на производство (создание)' в течение 20 секунд
	И в поле 'Дата задания' я ввожу текст '01.11.2019'
	И в поле 'Важность' я ввожу текст '100'
	И в поле 'Основание' я ввожу текст 'Контрагент №1'
	И из выпадающего списка "Подразделение" я выбираю по строке 'Цех индеек №1'
	И в поле 'Комментарий' я ввожу текст 'Заявка №1 на 01.11.2019'
	И я перехожу к закладке "Продукция"
	И я удаляю все строки таблицы "Продукция"
	И я заполняю таблицу "Продукция" данными
	| 'Волна'    | 'Номенклатура'        | 'Характеристика' | 'Выпуск'     | 'Количество' | 'Квант' |
	| '1. До 12' | 'Грудка индейки охл.' | 'ООО АШАН'       | '01.11.2019' | '100,000'    | '2,000' |
	| '1. До 12' | 'Бедро индейки охл.'  | 'ООО АШАН'       | '01.11.2019' | '150,000'    | '2,000' |
	| '2. До 15' | 'Тушка индейки охл.'  | 'ООО АШАН'       | '01.11.2019' | '170,000'    | '2,000' |
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Заявка на производство (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Заявки на производство' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Заявка на производство (создание)' в течение 20 секунд
	И в поле 'Дата задания' я ввожу текст '01.11.2019'
	И в поле 'Важность' я ввожу текст '200'
	И в поле 'Основание' я ввожу текст 'Контрагент №2' 
	И из выпадающего списка "Подразделение" я выбираю по строке 'Цех индеек №1'
	И в поле 'Комментарий' я ввожу текст 'Заявка №2 на 01.11.2019'
	И я перехожу к закладке "Продукция"
	И я удаляю все строки таблицы "Продукция"
	И я заполняю таблицу "Продукция" данными
	| 'Волна'    | 'Номенклатура'        | 'Характеристика' | 'Выпуск'     | 'Количество' | 'Квант' |
	| '1. До 12' | 'Грудка индейки охл.' | 'ООО Атак'       | '01.11.2019' | '100,000'    | '2,000' |
	| '1. До 12' | 'Бедро индейки охл.'  | 'ООО Атак'       | '01.11.2019' | '150,000'    | '2,000' |
	| '2. До 15' | 'Тушка индейки охл.'  | 'ООО Атак'       | '01.11.2019' | '170,000'    | '2,000' |
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Заявка на производство (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Заявки на производство' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Заявка на производство (создание)' в течение 20 секунд
	И в поле 'Дата задания' я ввожу текст '02.11.2019'
	И в поле 'Важность' я ввожу текст '100'
	И в поле 'Основание' я ввожу текст 'Контрагент №1'
	Тогда я жду открытия окна 'Заявка на производство (создание) *' в течение 20 секунд
	И из выпадающего списка "Подразделение" я выбираю по строке 'Цех индеек №1'
	И в поле 'Комментарий' я ввожу текст 'Заявка №3 на 02.11.2019'
	И я перехожу к закладке "Продукция"
	И я удаляю все строки таблицы "Продукция"
	И я заполняю таблицу "Продукция" данными
	| 'Волна'    | 'Номенклатура'          | 'Характеристика' | 'Выпуск'     | 'Количество' | 'Квант' |
	| '1. До 12' | 'Тушка индейки охл.'    | 'ООО АШАН'       | '02.11.2019' | '10 000,000' | '2,000' |
	| '1. До 12' | 'Бедро индейки охл.'    | 'ООО АШАН'       | '02.11.2019' | '7 000,000'  | '2,000' |
	| '2. До 15' | 'Крылышки индейки охл.' | 'ООО АШАН'       | '02.11.2019' | '5 000,000'  | '2,000' |
	| '3. До 17' | 'Окорочок индейки охл.' | 'ООО АШАН'       | '02.11.2019' | '11 000,000' | '2,000' |
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Заявка на производство (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Заявки на производство' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Заявка на производство (создание)' в течение 20 секунд
	И в поле 'Дата задания' я ввожу текст '03.11.2019'
	И в поле 'Важность' я ввожу текст '100'
	И в поле 'Основание' я ввожу текст 'Контрагент №1'
	Тогда я жду открытия окна 'Заявка на производство (создание) *' в течение 20 секунд
	И из выпадающего списка "Подразделение" я выбираю по строке 'Цех индеек №1'
	И в поле 'Комментарий' я ввожу текст 'Заявка №3 на 03.11.2019'
	И я перехожу к закладке "Продукция"
	И я удаляю все строки таблицы "Продукция"
	И я заполняю таблицу "Продукция" данными
	| 'Волна'    | 'Номенклатура'          | 'Характеристика' | 'Выпуск'     | 'Количество' | 'Квант' |
	| '3. До 17' | 'Крылышки индейки охл.' | 'ООО АШАН'       | '03.11.2019' | '2 000,000'  | '2,000' |
	| '3. До 17' | 'Грудка индейки охл.'   | 'ООО АШАН'       | '03.11.2019' | '2 000,000'  | '2,000' |
	| '3. До 17' | 'Окорочок индейки охл.' | 'ООО АШАН'       | '03.11.2019' | '2 000,000'  | '2,000' |
	| '3. До 17' | 'Тушка индейки охл.'    | 'ООО АШАН'       | '03.11.2019' | '2 000,000'  | '2,000' |
	| '3. До 17' | 'Бедро индейки охл.'    | 'ООО АШАН'       | '03.11.2019' | '2 000,000'  | '2,000' |
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Заявка на производство (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Заявки на производство' в течение 20 секунд
	И Я закрываю окно 'Заявки на производство'

Сценарий: 005.3. Разруб. Загрузка заказов

	И Я закрыл все окна клиентского приложения
	И Я подключаю расширенную лицензию
	И Я загружаю заказы клиента из файла

Сценарий: 005.4. Разруб. Завершение

	И Я подключаю лицензию разруба